Bug 1283465 - [GSS] (6.4.z) Failed to recover cluster state after the current node became the coordinator
[GSS] (6.4.z) Failed to recover cluster state after the current node became t...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.3.3
Unspecified Unspecified
high Severity high
: CR1
: EAP 6.4.6
Assigned To: Dmitrii Tikhomirov
Michael Cada
:
Depends On:
Blocks: 1235746 1275228 1289814
  Show dependency treegraph
 
Reported: 2015-11-18 22:38 EST by Osamu Nagano
Modified: 2017-01-17 06:50 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:50:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3395 Major Resolved ISPN000196: Failed to recover cluster state after the current node became the coordinator 2018-05-27 23:30 EDT
Red Hat Knowledge Base (Solution) 2135551 None None None 2016-01-22 01:10 EST

  None (edit)
Description Osamu Nagano 2015-11-18 22:38:11 EST
NPE can happen in a very critical part of cluster wide rebalance.  It causes a multiple singletons issue.  The fix is trivial but only available in Infinispan 6+.  We must backport it for the next release.

~~~
09:40:46,035 ERROR [org.infinispan.topology.ClusterTopologyManagerImpl] (transport-thread-2) ISPN000196: Failed to recover cluster state after the current node became the coordinator: java.lang.NullPointerException
        at org.infinispan.topology.ClusterTopologyManagerImpl.recoverClusterStatus(ClusterTopologyManagerImpl.java:454)
        at org.infinispan.topology.ClusterTopologyManagerImpl.handleNewView(ClusterTopologyManagerImpl.java:234)
        at org.infinispan.topology.ClusterTopologyManagerImpl$ClusterViewListener$1.run(ClusterTopologyManagerImpl.java:625)
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.7.0_72]
        at java.util.concurrent.FutureTask.run(FutureTask.java:262) [rt.jar:1.7.0_72]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_72]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_72]
        at java.lang.Thread.run(Thread.java:745) [rt.jar:1.7.0_72]
~~~

https://github.com/infinispan/infinispan/blob/5.2.10.Final/core/src/main/java/org/infinispan/topology/ClusterTopologyManagerImpl.java#L454
Comment 9 Michal Karm Babacek 2015-12-04 06:51:46 EST
https://bugzilla.redhat.com/show_bug.cgi?id=927615#c15
Comment 12 Enrique Gonzalez Martinez 2015-12-09 06:55:04 EST
Merged

5.2.x https://github.com/infinispan/infinispan/commit/efa69baeca52c759ade5e239109cce9e1d343b9a

no upstream required.
Comment 14 Michael Cada 2016-01-22 10:02:44 EST
Verified on EAP 6.4.6.CP.CR2
Comment 15 Petr Penicka 2017-01-17 06:50:07 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 16 Petr Penicka 2017-01-17 06:50:46 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.